4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.OutputHandler

Manages XSLT output parameters governed by the xsl:output instruction See also Ft.Xml.Xslt.OutputParameters

    Copyright 2004 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: OutputHandler |  |  |  | Globals: EMPTY_NAMESPACE, FT_EXT_NAMESPACE

## Classes

class OutputHandler(Ft.Xml.Xslt.NullWriter.NullWriter)

  ### Methods

  __init__(self, outputParams, stream, notifyFunc=None)
    Overrides: __init__ from class NullWriter
  comment(self, *args, **kw)
    Overrides: comment from class NullWriter
  endDocument(self, *args, **kw)
    Overrides: endDocument from class NullWriter
  getResult(self)
    Overrides: getResult from class NullWriter
  getStream(self)
    Overrides: getStream from class NullWriter
  processingInstruction(self, *args, **kw)
    Overrides: processingInstruction from class NullWriter
  startDocument(self)
    Overrides: startDocument from class NullWriter
  startElement(self, name, namespace=None, *args, **kw)
    Overrides: startElement from class NullWriter
  text(self, *args, **kw)
    Overrides: text from class NullWriter

  ### Methods inherited from class Ft.Xml.Xslt.NullWriter.NullWriter

  attribute, copyNodes, endElement, getMediaType, namespace

## Globals

EMPTY_NAMESPACE = None
FT_EXT_NAMESPACE = 'http://xmlns.4suite.org/ext'